package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.CasetaPeaje;
import com.rjconsultores.ventaboletos.entidad.CasetaPeajeExcepcion;

public interface CasetaPeajeService extends GenericService<CasetaPeaje, Integer> {
	public List<CasetaPeaje> buscar(String descricaoPracaPedagio);
	public Boolean validarDescricaoCasetaPeaje(CasetaPeaje casetaPeaje);
	public List<CasetaPeaje> buscarTodosOrdenadoPorDescricao();
	public void deletarVigencias(List<CasetaPeajeExcepcion> cpes);
	public CasetaPeaje suscribirOrActualizacion(CasetaPeaje casetaPeaje);
}